## ipython 7.12.0

=== debian/changelog ===
ipython (7.12.0-1) unstable; urgency=medium

  * New upstream version 7.12.0
  * d/control: update Standards-Version to 4.5.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 04 Feb 2020 20:04:33 +0000

ipython (7.11.1-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version 7.11.1 (Closes: #949137)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 20 Jan 2020 18:42:30 +0000

ipython (7.11.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 Jan 2020 14:07:42 +0000

ipython (7.11.0-1) experimental; urgency=medium

  * New upstream version 7.11.0 (Closes: #887101, #942660)
  * d/control:
    + Drop simplegeneric, ipython_genutils from build-depends
    + Add backcall, jedi to build-depends
    + Drop ancient breaks/replaces for oldoldstable
  * d/copyright: drop outdated stanza for file dropped upstream
  * Drop custom entrypoint script: ipython3 previously shipped a custom shell
    script as the entrypoint, we'll now use the standard setuptools-generated
    entrypoint script; ipython3 accordingly gains an explicit dependency on
    python3.
  * Rebase patches
    + Drop 0003-Backport-ipython-11593-for-python-3.8-compat.patch

 -- Gordon Ball <gordon@chronitis.net>  Mon, 30 Dec 2019 20:46:41 +0000

ipython (5.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * Stop building binary packages python-ipython, ipython from this source.
    For this time being, these packages are built from the ipython-py2 source
    package. This will allow ipython3 to be updated past the 5.x series which
    is the last to support python 2.7.
  * d/control: Update Standards-Version to 4.4.1
  * d/control: Update to debhelper compat level 12
  * d/control: Set Rules-Requires-Root: no
  * d/watch: Update to use github as upstream, unpin from 5.x series
  * Backport ipython#11593 from IPython 7, which fixes compatibility with
    python 3.8 (needed until dependencies are available to upgrade to the
    fixed version).

 -- Gordon Ball <gordon@chronitis.net>  Tue, 24 Dec 2019 21:22:58 +0000
