=== debian/control ===
Source: ipython
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
Priority: optional
Section: python
Standards-Version: 4.5.0
Homepage: https://github.com/ipython/ipython
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-backcall,
               python3-jedi,
               python3-nose,
               python3-numpydoc,
               python3-pexpect,
               python3-pickleshare,
               python3-prompt-toolkit (>= 2),
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-traitlets,
Vcs-Git: https://salsa.debian.org/python-team/modules/ipython4.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ipython4
Rules-Requires-Root: no

Package: python-ipython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Enhanced interactive Python shell (documentation)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the documentation.

Package: python3-ipython
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pexpect,
Description: Enhanced interactive Python shell (Python 3 version)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the backend terminal shell for Python 3: for
 the actual frontend install ipython3.

Package: ipython3
Architecture: all
Section: interpreters
Depends: python3,
         python3-ipython (= ${binary:Version}),
         ${misc:Depends}
Description: Enhanced interactive Python 3 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the actual terminal shell for Python 3.
