## ipython 7.13.0

=== docs/requirements.txt ===
-e .
ipykernel
setuptools>=18.5
sphinx
sphinx-rtd-theme
docrepr
matplotlib
