=== debian/changelog ===
ipython (7.13.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 7.13.0

  [ Julien Puydt ]
  * Suggest the doc package (Closes: #807125).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 Mar 2020 13:03:33 +0100
