=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-pexpect,
+Suggests: python-ipython-doc
 Description: Enhanced interactive Python shell (Python 3 version)
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
