=== debian/tests/control ===
Test-Command: python3 -c "import IPython; print(IPython)"
Depends: python3, python3-ipython

Tests: ipyshell
Depends: ipython3
Restrictions: allow-stderr
