## ipython 7.17.0

=== debian/changelog ===
ipython (7.17.0-1) unstable; urgency=medium

  * New upstream release 7.17.0.
  * Use my @debian.org mail address.
  * Add copyright assignment for debian/* in d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Aug 2020 17:39:37 +0200

ipython (7.16.1-1) unstable; urgency=medium

  * New upstream version 7.16.1

 -- Gordon Ball <gordon@chronitis.net>  Sun, 05 Jul 2020 10:50:24 +0000

ipython (7.15.0-1) unstable; urgency=medium

  * New upstream version 7.15.0
  * d/control: use debhelper compatibility level 13

 -- Gordon Ball <gordon@chronitis.net>  Thu, 04 Jun 2020 18:08:35 +0000

ipython (7.14.0-1) unstable; urgency=medium

  * New upstream version 7.14.0

 -- Gordon Ball <gordon@chronitis.net>  Mon, 04 May 2020 18:10:06 +0000
