=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ipython
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
 Standards-Version: 4.5.0
 Homepage: https://github.com/ipython/ipython
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-backcall,
