## ipython 7.20.0

=== debian/changelog ===
ipython (7.20.0-1+deb11u1) bullseye-security; urgency=high

  * Fixes CVE-2022-21699 (execution of config files from the current
    directory, which might allow cross-user attacks if ipython is run from a
    directory multiple users can write). Closes: #1004122

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 14:09:36 +0000

ipython (7.20.0-1) unstable; urgency=medium

  * New upstream version 7.20.0
  * Drop upstreamed patches for jedi, sip
  * Run the testsuite as an autopkgtest, enable autodep8 test

 -- Gordon Ball <gordon@chronitis.net>  Tue, 02 Feb 2021 19:50:23 +0000

ipython (7.19.0-3) unstable; urgency=medium

  * Team upload.
  * More Patches for new jedi version
  * Add patch for new python-sip (Closes: #966035)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jan 2021 10:13:33 +0100

ipython (7.19.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Add patches for new jedi version

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 29 Dec 2020 17:40:23 +0100

ipython (7.19.0-1) unstable; urgency=medium

  * New upstream version 7.19.0

 -- Gordon Ball <gordon@chronitis.net>  Sun, 01 Nov 2020 11:15:43 +0000

ipython (7.18.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * Add missing build-dependency: python3-decorator (Closes: #971180)
  * Rename the git repository from ipython4 -> ipython, and update Vcs-*
    fields accordingly.

 -- Gordon Ball <gordon@chronitis.net>  Tue, 27 Oct 2020 19:07:53 +0000

ipython (7.18.1-1) unstable; urgency=medium

  * New upstream version 7.18.1
  * Refresh patches
  * Update lintian-overrides for python3-ipython

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Aug 2020 15:03:45 +0000
