=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ipython
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
@@ -9,7 +9,8 @@
                dh-python,
                python3-all,
                python3-backcall,
-               python3-jedi,
+               python3-decorator,
+               python3-jedi (>= 0.16),
                python3-nose,
                python3-numpydoc,
                python3-pexpect,
@@ -19,9 +20,10 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-traitlets,
-Vcs-Git: https://salsa.debian.org/python-team/modules/ipython4.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/ipython4
+Vcs-Git: https://salsa.debian.org/python-team/packages/ipython.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ipython
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ipython-doc
 Architecture: all
