=== debian/tests/control ===
Tests: ipyshell
Depends: ipython3
Restrictions: allow-stderr

Test-Command: python3 -m pytest
Depends: @, git, python3-pytest, python3-nose, python3-testpath,
         python3-matplotlib, python3-nbformat, python3-ipykernel
Restrictions: allow-stderr
