=== debian/watch ===
version=4
https://github.com/ipython/ipython/tags .*/archive/v?([\d\.-]+)\.tar\.gz
