## ipython 7.22.0

=== debian/changelog ===
ipython (7.22.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/watch.

  [ Gordon Ball ]
  * New upstream version 7.22.0

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 18:04:37 +0000
