## ipython 7.27.0

=== debian/changelog ===
ipython (7.27.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 7.26.0
  * d/control: new dependency python3-matplotlib-inline

  [ Julien Puydt ]
  * Bump standards-version to 4.6.0.
  * New upstream version 7.27.0.

 -- Gordon Ball <gordon@chronitis.net>  Sat, 06 Nov 2021 19:22:12 +0000
