=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -11,6 +11,7 @@
                python3-backcall,
                python3-decorator,
                python3-jedi (>= 0.16),
+               python3-matplotlib-inline,
                python3-nose,
                python3-numpydoc,
                python3-pexpect,
