## ipython 7.31.1

=== debian/changelog ===
ipython (7.31.1-1) unstable; urgency=medium

  * New upstream version 7.31.1
  * Fixes CVE-2022-21699 (execution of config files from the current
    directory, which might allow cross-user attacks if ipython is run from a
    directory multiple users can write). Closes: #1004122

 -- Gordon Ball <gordon@chronitis.net>  Mon, 24 Jan 2022 20:22:25 +0000

ipython (7.31.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream version 7.29.0.
  * Remove Built-Using from the arch:all -doc package.
  * Rework patches.
  * Add some -doc packages as b-dep with nodoc tag.
  * Drop 0007-forgotten-sys.patch (useless?).

  [ Gordon Ball ]
  * Run pytest against all supported python versions
  * New upstream version 7.31.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 07 Jan 2022 15:09:47 +0000
