=== debian/control ===
--- 
+++ 
@@ -21,6 +21,9 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-traitlets,
+               python-traitlets-doc <!nodoc>,
+               python-jupyter-client-doc <!nodoc>,
+               python-jupyter-core-doc <!nodoc>
 Vcs-Git: https://salsa.debian.org/python-team/packages/ipython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ipython
 Rules-Requires-Root: no
@@ -30,7 +33,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: Enhanced interactive Python shell (documentation)
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
