## ipython 8.1.0

=== debian/changelog ===
ipython (8.1.0-1) experimental; urgency=medium

  * New upstream version 8.1.0

 -- Gordon Ball <gordon@chronitis.net>  Mon, 14 Mar 2022 19:35:09 +0000

ipython (8.0.1-1) experimental; urgency=medium

  * New upstream version 8.0.1
  * Rebase patches, drop setuptools patch
  * Build using pybuild-plugin-pyproject instead of setuptools directly
  * Update dependencies: +black, +stack-data, +pytest-asyncio, -nose
  * Install manpages explicitly rather than via setuptools data_files
  * Skip tests known to fail with jedi 0.18.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 11:40:45 +0000
