=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
+               black,
                python3-all,
                python3-backcall,
                python3-decorator,
                python3-jedi (>= 0.16),
                python3-matplotlib-inline,
-               python3-nose,
                python3-numpydoc,
                python3-pexpect,
                python3-pickleshare,
@@ -20,6 +21,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-stack-data,
                python3-traitlets,
                python-traitlets-doc <!nodoc>,
                python-jupyter-client-doc <!nodoc>,
