## ipython 8.5.0

=== docs/requirements.txt ===
-e .[test]
ipykernel
setuptools>=18.5
sphinx
sphinx-rtd-theme
docrepr
matplotlib
stack_data
pytest<7
