=== debian/changelog ===
ipython (8.5.0-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for pygments > 2.14 (Closes: #1028617)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 20 Jan 2023 08:19:58 +0100

ipython (8.5.0-3) unstable; urgency=medium

  * Team upload.
  * Add workaround for stack_data in testing

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 15:16:53 +0100

ipython (8.5.0-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for new python-stack-data

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 07:52:47 +0100

ipython (8.5.0-1) unstable; urgency=medium

  * New upstream version 8.5.0
  * patches: drop backport from 8.4.0-2, applied upstream

 -- Gordon Ball <gordon@chronitis.net>  Sat, 01 Oct 2022 18:26:44 +0000

ipython (8.4.0-2) unstable; urgency=medium

  * d/control: inject dependency on python3-setuptools
  * patches: backport ipython#d858213,7a49386 to fix test_pprint_heap_allocated_type

 -- Gordon Ball <gordon@chronitis.net>  Sat, 17 Sep 2022 21:08:27 +0000

ipython (8.4.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

  [ Gordon Ball ]
  * New upstream version 8.4.0

 -- Gordon Ball <gordon@chronitis.net>  Sat, 27 Aug 2022 22:27:11 +0000
