=== debian/control ===
--- 
+++ 
@@ -53,6 +53,7 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-pexpect,
+ python3-setuptools,
 Suggests: python-ipython-doc
 Description: Enhanced interactive Python shell (Python 3 version)
  IPython can be used as a replacement for the standard Python shell,
