=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,11 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
-	rm -f debian/tmp/usr/bin/iptest* debian/tmp/usr/bin/ipython
-	mv debian/tmp/usr/share/man/man1/ipython.1 debian/tmp/usr/share/man/man1/ipython3.1
+execute_after_dh_auto_install:
+	rm debian/tmp/usr/bin/ipython
+
+execute_before_dh_installman:
+	mv docs/man/ipython.1 docs/man/ipython3.1
 
 override_dh_auto_test:
 	@echo "No test to avoid circular dependencies"
