=== debian/tests/control ===
Tests: ipyshell
Depends: ipython3
Restrictions: allow-stderr

Tests: pytest
Depends: @, python3-all, git, python3-pytest, python3-pytest-asyncio, python3-testpath,
         python3-matplotlib, python3-nbformat, python3-ipykernel
Restrictions: allow-stderr
