## ipython 8.14.0

=== debian/changelog ===
ipython (8.14.0-2) unstable; urgency=medium

  * Team upload.

  [ L. Guruprasad ]
  * Add upstream patch to fix broken embedding when using
    IPython.terminal.embed.InteractiveShellEmbed. (Closes: #1053223)

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Oct 2023 00:12:56 +0100

ipython (8.14.0-1) unstable; urgency=medium

  * New upstream version 8.14.0
  * Rebase patches; drop patches which apply to versions of jedi and
    stack-data below the version in stable.
  * Build-depend on python3-typing-extensions (for docs only)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 22 Jul 2023 19:20:13 +0000
