=== docs/requirements.txt ===
-e .[doc]
sphinx>7
setuptools
sphinx_rtd_theme>=1.2.0
numpy
exceptiongroup
testpath
matplotlib
docrepr
prompt_toolkit
ipykernel
stack_data
