=== debian/changelog ===
ipython (8.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Adds support for Python 3.12. (Closes: #1056414)
  * Refresh patches.
  * Drop the broken embedding patch, superseded upstream.
  * Clean correctly. (Closes: #1049281)
  * Copy the manpage instead of moving it. (Closes: #1049598)
  * Depend on python3-pandas, python3-pickleshare, and python3-trio in
    autotpkgtest for extra coverage.
  * Run the autopkgtest against the installed package.
  * Skip test_pretty_environ as it is broken.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Jan 2024 20:32:19 -0400
