=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-stack-data,
                python3-traitlets,
+               python3-typing-extensions <!nodoc>,
                python-traitlets-doc <!nodoc>,
                python-jupyter-client-doc <!nodoc>,
                python-jupyter-core-doc <!nodoc>
