=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	rm debian/tmp/usr/bin/ipython
 
 execute_before_dh_installman:
-	mv docs/man/ipython.1 docs/man/ipython3.1
+	cp docs/man/ipython.1 docs/man/ipython3.1
 
 override_dh_auto_test:
 	@echo "No test to avoid circular dependencies"
