## ipython 8.30.0

=== debian/changelog ===
ipython (8.30.0-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090234).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Dec 2024 01:53:10 +0000

ipython (8.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix pdb issues in Python 3.13.1 (closes: #1088322).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Dec 2024 01:11:42 +0000

ipython (8.29.0-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * fix nodocs -> nodoc

  [ Gordon Ball ]
  * New upstream version 8.29.0 (Closes: #1063945)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 11 Nov 2024 23:03:15 +0100
