## ipython 8.35.0

=== docs/requirements.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 docrepr
 prompt_toolkit
 ipykernel
-stack_data
+intersphinx_registry
