=== debian/changelog ===
ipython (8.35.0-2) unstable; urgency=medium

  * Team upload.
  * Fix marking of async tests for current pytest.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Sep 2025 10:16:35 +0100

ipython (8.35.0-1) unstable; urgency=medium

  * New upstream version 8.35.0
  * d/patches: drop backport patches python-3.13.1-pdb, sphinx-8.0
    (no longer needed)
  * d/control: update version constraints (prompt-toolkit, traitlets)
  * d/control: standards-version 4.7.2 (no changes)
  * d/lintian-overrides: update context patterns
  * d/copyright: clean up references to paths which no longer exist

 -- Gordon Ball <gordon@chronitis.net>  Sat, 26 Apr 2025 21:20:13 +0200
