=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                black,
                python3-all,
@@ -17,12 +17,12 @@
                python3-numpydoc,
                python3-pexpect,
                python3-pickleshare,
-               python3-prompt-toolkit (>= 2),
+               python3-prompt-toolkit (>= 3.0.41),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-stack-data,
-               python3-traitlets,
+               python3-traitlets (>= 5.13),
                python3-typing-extensions <!nodoc>,
                python-traitlets-doc <!nodoc>,
                python-jupyter-client-doc <!nodoc>,
@@ -34,6 +34,7 @@
 
 Package: python-ipython-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Enhanced interactive Python shell (documentation)
