=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/ipython/ipython/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
