## ipython 9.8.0

=== debian/changelog ===
ipython (9.8.0-1) experimental; urgency=medium

  * New upstream version 9.8.0
  * d/control: drop dependency on python3-backcall
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority
  * d/patches: rebase, drop pytest-asyncio-marks.patch (upstreamed)
  * d/watch: upgrade to version 5
  * d/patches: patch out (unpackaged) sphinx_toml, intersphinx_registry
  * d/lintian-overrides: drop unused

 -- Gordon Ball <gordon@chronitis.net>  Sun, 28 Dec 2025 23:54:33 +0100
