=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: ipython
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
-Priority: optional
 Section: python
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                black,
                python3-all,
-               python3-backcall,
                python3-decorator,
                python3-jedi (>= 0.16),
                python3-matplotlib-inline,
@@ -29,7 +27,6 @@
                python-jupyter-core-doc <!nodoc>
 Vcs-Git: https://salsa.debian.org/python-team/packages/ipython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ipython
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python-ipython-doc
