=== debian/watch ===
Version: 5
Template: Github
Owner: ipython
Project: ipython
Uversion-mangle: auto
